Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 489544 - Add sync-type 'none' to disable sync
Summary: Add sync-type 'none' to disable sync
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Configuration (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2013-10-27 08:48 UTC by Alon Bar-Lev
Modified: 2014-01-06 00:40 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alon Bar-Lev gentoo-dev 2013-10-27 08:48:17 UTC
Currently only git, cvs, rsync are accepted while disable is impossible.

Adding 'none' as value works, but issues warning...

Please consider accepting the 'none' atom.

Thanks!
Comment 1 Arfrever Frehtes Taifersar Arahesis 2013-10-27 22:06:43 UTC
Use:
sync-type =
sync-uri =
Comment 2 Alon Bar-Lev gentoo-dev 2013-10-27 22:21:18 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #1)
> Use:
> sync-type =
> sync-uri =

Thanks!
That's working, I did not set sync-uri to empty.
So either document this, or accept 'none' type or similar?
Comment 3 Arfrever Frehtes Taifersar Arahesis 2013-12-03 15:29:19 UTC
Usage of empty value is consistent with other variables.

I have updated documentation:
http://git.overlays.gentoo.org/gitweb/?p=proj/portage.git;a=commitdiff;h=cea8f3ebe590663b01437d7906af7f5cc05085f9
Comment 4 Alon Bar-Lev gentoo-dev 2013-12-03 15:31:42 UTC
Thanks!
Comment 5 Brian Dolbec gentoo-dev 2014-01-06 00:40:14 UTC
Released in sys-apps/portage-2.2.8.